Gå til hovedinnhold
Beta! This documentation is automatically generated. Information may be incomplete or contain errors, especially screenshots and code samples. We'd love your feedback: use the "Did you find what you were looking for?" widget below, the chat in the bottom right, or email support@placepoint.no - we'll get back to you as soon as we can.

Fetch information regarding properties that were sold in recent days

POST 

/map-layer/sold-information

Sold Information Endpoint

Overview

This API fetches the sold information within a for a specific area. The area is defined as a circle by providing a point and radius. You can also set for last how many days do you want the information for.

Parameters

ParameterTypeRequiredDescription
pointobjectYesAn object defining the geographic point with coordinates and type. The coordinates should be an array in [longitude, latitude] format, and type should be "Point". Example: { "coordinates": [10.7522, 59.9139], "type": "Point" }.
radiusinteger or floatYesThe radius around the specified point within which to search for sold properties. The value is typically in kilometers. Example: 1 (for 1 km).
daysintegerYesThe number of days back from the current date to include in the search. Example: 90 (for the last 90 days).

Headers

HeaderValue
acceptapplication/json
api-keyYOUR_API_KEY

Example Request

curl -X 'POST' \
'https://apis.propcloud.no/api/public/map-layer/sold-information' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"point": {
"coordinates": [
10.7522,
59.9139
],
"type": "Point"
},
"radius": 1,
"days": 90
}'

Request

Responses

Successful Response

Beta! This documentation is automatically generated. Information may be incomplete or contain errors, especially screenshots and code samples. We'd love your feedback: use the "Did you find what you were looking for?" widget below, the chat in the bottom right, or email support@placepoint.no - we'll get back to you as soon as we can.